# AlienImage_SUNRFFileHeader.hxx File Reference

`#include <Standard_Type.hxx>`

## Defines

#define | RAS_MAGIC 0x59a66a95
#define | RT_OLD 0
#define | RT_STANDARD 1
#define | RT_BYTE_ENCODED 2
#define | RT_FORMAT_RGB 3
#define | RT_FORMAT_TIFF 4
#define | RT_FORMAT_IFF 5
#define | RT_EXPERIMENTAL 0xffff
#define | RMT_RAW 2
#define | RMT_NONE 0
#define | RMT_EQUAL_RGB 1

## Functions

const | Handle (Standard_Type)&STANDARD_TYPE(AlienImage_SUNRFFileHeader)
ostream & | operator<< (ostream &s, const AlienImage_SUNRFFileHeader &h)
Standard_Boolean | operator== (const AlienImage_SUNRFFileHeader &Obj1, const AlienImage_SUNRFFileHeader &Obj2)
void | ShallowDump (const AlienImage_SUNRFFileHeader &AnObject, Standard_OStream &S)

## Define Documentation

#define RAS_MAGIC 0x59a66a95

#define RMT_EQUAL_RGB 1

#define RMT_NONE 0

#define RMT_RAW 2

#define RT_BYTE_ENCODED 2

#define RT_EXPERIMENTAL 0xffff

#define RT_FORMAT_IFF 5

#define RT_FORMAT_RGB 3

#define RT_FORMAT_TIFF 4

#define RT_OLD 0

#define RT_STANDARD 1

## Function Documentation

const Handle | ( | Standard_Type |  | ) | `[inline]`

ostream& operator<< | ( | ostream & | s,
|  | const AlienImage_SUNRFFileHeader & | h
| ) |

Standard_Boolean operator== | ( | const AlienImage_SUNRFFileHeader & | Obj1,
|  | const AlienImage_SUNRFFileHeader & | Obj2
| ) |

void ShallowDump | ( | const AlienImage_SUNRFFileHeader & | AnObject,
|  | Standard_OStream & | S
| ) |